current version

PatternFly 3 mapper provides components from PatternFly 3 design system.

npm install --save @data-driven-forms/pf3-component-mapper

or

yarn add @data-driven-forms/pf3-component-mapper

PatternFly 3 has to be installed seperately. Please follow their guidelines.

PF3 mapper provides an option to validate a field when the component is mounted. Just set validateOnMount to true.

{
component: 'text-field',
name: 'required-field',
validate: [{type: 'required'}],
validateOnMount: true
}

This field will show the error immediately.